- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b777476c-5fe8-48c7-9c36-dd91f74d7f4a
    creation_time: 2023-02-17T12:12:06.818523Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006.i
      input_file_hashes:
        c/loop-lit/jm2006.i: 2e98ae6b3b72bb87faac9dbfcafb29586eefa5010eced7af70cdba4815bccd7f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006.i
    file_hash: 2e98ae6b3b72bb87faac9dbfcafb29586eefa5010eced7af70cdba4815bccd7f
    line: 31
    column: 0
    function: main
  loop_invariant:
    string: x-y == i-j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f2e897f9-c5cf-4ac0-bbeb-68fcb2172d0a
    creation_time: 2023-02-17T12:12:06.818804Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/jm2006.i
      input_file_hashes:
        c/loop-lit/jm2006.i: 2e98ae6b3b72bb87faac9dbfcafb29586eefa5010eced7af70cdba4815bccd7f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/jm2006.i
    file_hash: 2e98ae6b3b72bb87faac9dbfcafb29586eefa5010eced7af70cdba4815bccd7f
    line: 36
    column: 0
    function: main
  location_invariant:
    string: y == 0
    type: assertion
    format: C

